cdac.medinfo.model

## Class Medications

- java.lang.Object
- - cdac.medinfo.model.Medications

-     public class Medications
      extends java.lang.Object

  This class specify Medications Section Details. The Medications section defines a patient's current medications and pertinent medication history. At a minimum, the currently active medications should be listed, with an entire medication history as an option, particularly when the summary document is used for comprehensive data export.

  This class has the following attributes:

  1. Medication (String)
  2. Instructions (String)
  3. Date (EffectiveDateTime)
  4. Status (String)
  5. Dose Quantity (String)
  6. Period Value (String)
  7. Period Unit (String)
  8. Criterion (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Medications()` Constructs an object of Medications.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCriterion()` Returns the Criterion of Medication.
    `EffectiveDateTime` | `getDate()` Returns the Date of Medication.
    `java.lang.String` | `getDoseQuantity()` Returns the Dose Quantity.
    `java.lang.String` | `getInstructions()` Returns the Instructions.
    `java.lang.String` | `getMedication()` Returns the Medication Information.
    `java.lang.String` | `getPeriodUnit()` Returns the Period Unit of Medication.
    `java.lang.String` | `getPeriodValue()` Returns the Period Value of Medication.
    `java.lang.String` | `getStatus()` Returns the Status of Medication.
    `void` | `setCriterion(java.lang.String criterion)` Sets the Criterion of Medication.
    `void` | `setDate(EffectiveDateTime Date)` Sets the duration of Medication.
    `void` | `setDoseQuantity(java.lang.String doseQuantity)` Sets the Dose Quantity.
    `void` | `setInstructions(java.lang.String instructions)` Sets the Instructions.
    `void` | `setMedication(java.lang.String medication)` Sets the Medication Information.
    `void` | `setPeriodUnit(java.lang.String periodUnit)` Sets the Period Unit of Medication.
    `void` | `setPeriodValue(java.lang.String periodValue)` Sets the Period Value of Medication.
    `void` | `setStatus(java.lang.String status)` Sets the Status of Medication.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Medications

          public Medications()

      Constructs an object of Medications.

  - ### Method Detail

    - #### getMedication

          public java.lang.String getMedication()

      Returns the Medication Information.
      Returns:
        the medication

    - #### setMedication

          public void setMedication(java.lang.String medication)

      Sets the Medication Information.
      Parameters:
        `medication` - Specifies the Medication Information.

    - #### getInstructions

          public java.lang.String getInstructions()

      Returns the Instructions.
      Returns:
        the instructions

    - #### setInstructions

          public void setInstructions(java.lang.String instructions)

      Sets the Instructions.
      Parameters:
        `instructions` - Specifies the Instructions.

    - #### getDate

          public EffectiveDateTime getDate()

      Returns the Date of Medication.
      Returns:
        the Date

    - #### setDate

          public void setDate(EffectiveDateTime Date)

      Sets the duration of Medication.
      Parameters:
        `Date` - Specifies the duration of Medication.

    - #### getStatus

          public java.lang.String getStatus()

      Returns the Status of Medication.
      Returns:
        the status

    - #### setStatus

          public void setStatus(java.lang.String status)

      Sets the Status of Medication.
      Parameters:
        `status` - Specification the Status of Medication.

    - #### getDoseQuantity

          public java.lang.String getDoseQuantity()

      Returns the Dose Quantity.
      Returns:
        the doseQuantity

    - #### setDoseQuantity

          public void setDoseQuantity(java.lang.String doseQuantity)

      Sets the Dose Quantity.
      Parameters:
        `doseQuantity` - Specifies the Dose Quantity.

    - #### getPeriodValue

          public java.lang.String getPeriodValue()

      Returns the Period Value of Medication.
      Returns:
        the periodValue

    - #### setPeriodValue

          public void setPeriodValue(java.lang.String periodValue)

      Sets the Period Value of Medication.
      Parameters:
        `periodValue` - Specifies the Period Value of Medication.

    - #### getPeriodUnit

          public java.lang.String getPeriodUnit()

      Returns the Period Unit of Medication.
      Returns:
        the periodUnit

    - #### setPeriodUnit

          public void setPeriodUnit(java.lang.String periodUnit)

      Sets the Period Unit of Medication.
      Parameters:
        `periodUnit` - Specifies the Period Unit of Medication.

    - #### getCriterion

          public java.lang.String getCriterion()

      Returns the Criterion of Medication.
      Returns:
        the criterion

    - #### setCriterion

          public void setCriterion(java.lang.String criterion)

      Sets the Criterion of Medication.
      Parameters:
        `criterion` - Specifies the Criterion of Medication.